Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.dfa
Class DataFlowNode

    java.lang.Object
      net.sourceforge.pmd.dfa.DataFlowNode

All Implemented Interfaces:
  IDataFlowNode

Direct Known Subclasses:
  StartOrEndDataFlowNode

public class DataFlowNode
extends java.lang.Object
implements IDataFlowNode

Author:
  raik

  Each data flow contains a set of DataFlowNodes.

Field Summary
`protected java.util.List` | `children`
`protected java.util.LinkedList` | `dataFlow`
`protected int` | `line`
`protected java.util.List` | `parents`
`protected java.util.BitSet` | `type`
`protected java.util.List` | `variableAccess`

Constructor Summary
`protected` | `DataFlowNode()`
`` | `DataFlowNode(SimpleNode node, java.util.LinkedList dataFlow)`

Method Summary
`void` | `addPathToChild(IDataFlowNode child)`
`java.util.List` | `getChildren()`
`java.util.List` | `getFlow()`
`int` | `getIndex()`
`int` | `getLine()`
`java.util.List` | `getParents()`
`SimpleNode` | `getSimpleNode()`
`java.util.List` | `getVariableAccess()`
`boolean` | `isType(int intype)`
`boolean` | `removePathToChild(IDataFlowNode child)`
`void` | `reverseParentPathsTo(IDataFlowNode destination)`
`void` | `setType(int type)`
`void` | `setVariableAccess(java.util.List variableAccess)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### parents

    protected java.util.List parents

### children

    protected java.util.List children

### type

    protected java.util.BitSet type

### variableAccess

    protected java.util.List variableAccess

### dataFlow

    protected java.util.LinkedList dataFlow

### line

    protected int line

Constructor Detail

### DataFlowNode

    protected DataFlowNode()

### DataFlowNode

    public DataFlowNode(SimpleNode node,
                        java.util.LinkedList dataFlow)

Method Detail

### addPathToChild

    public void addPathToChild(IDataFlowNode child)

  Specified by:
    `addPathToChild` in interface `IDataFlowNode`

### removePathToChild

    public boolean removePathToChild(IDataFlowNode child)

  Specified by:
    `removePathToChild` in interface `IDataFlowNode`

### reverseParentPathsTo

    public void reverseParentPathsTo(IDataFlowNode destination)

  Specified by:
    `reverseParentPathsTo` in interface `IDataFlowNode`

### getLine

    public int getLine()

  Specified by:
    `getLine` in interface `IDataFlowNode`

### setType

    public void setType(int type)

### isType

    public boolean isType(int intype)

  Specified by:
    `isType` in interface `IDataFlowNode`

### getSimpleNode

    public SimpleNode getSimpleNode()

  Specified by:
    `getSimpleNode` in interface `IDataFlowNode`

### getChildren

    public java.util.List getChildren()

  Specified by:
    `getChildren` in interface `IDataFlowNode`

### getParents

    public java.util.List getParents()

  Specified by:
    `getParents` in interface `IDataFlowNode`

### getFlow

    public java.util.List getFlow()

  Specified by:
    `getFlow` in interface `IDataFlowNode`

### getIndex

    public int getIndex()

  Specified by:
    `getIndex` in interface `IDataFlowNode`

### setVariableAccess

    public void setVariableAccess(java.util.List variableAccess)

  Specified by:
    `setVariableAccess` in interface `IDataFlowNode`

### getVariableAccess

    public java.util.List getVariableAccess()

  Specified by:
    `getVariableAccess` in interface `IDataFlowNode`

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.